Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 493335 - Review Request: perl-RTx-Calendar - Calendar for RT due tasks
Summary: Review Request: perl-RTx-Calendar - Calendar for RT due tasks
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 547655
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2009-04-01 13:45 UTC by Xavier Bachelot
Modified: 2012-11-01 21:40 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-11-01 21:40:17 UTC


Attachments (Terms of Use)

Description Xavier Bachelot 2009-04-01 13:45:25 UTC
Spec URL: http://www.bachelot.org/fedora/SPECS/perl-RTx-Calendar.spec
SRPM URL: http://www.bachelot.org/fedora/SRPMS/perl-RTx-Calendar-0.07-1.fc10.src.rpm
Description:
This RT extension provides a calendar view for your tickets and your reminders
so you see when is your next due ticket. You can find it in the menu
Search->Calendar. There's a portlet to put on your home page (see
Prefs/MyRT.html).
You can also enable ics (ICal) feeds for your default calendar and all your
private searches in Prefs/Calendar.html. Authentication is magic number based
so that you can give those feeds to other people.

Comment 1 Parag AN(पराग) 2009-04-02 04:41:26 UTC
build failed  http://koji.fedoraproject.org/koji/taskinfo?taskID=1272093

Comment 2 Xavier Bachelot 2009-04-02 16:19:14 UTC
I was building against EL-5 where the rt version is 3.6, while Fedora has 3.8, and 3.8 is changing the place where the files are installed. I think this package will need more work. Anyway, even with 3.6 the files installed under /usr/local/lib/rt3 are probably a problem and I'll need to talk with Ralf about that.

Comment 3 Susi Lehtola 2009-04-25 07:51:43 UTC
It *is* a problem. According to the file system standard, everything that comes with the distro should be in libdir; /usr/local is for software that hasn't been packaged and is locally built.

Comment 4 Ralf Corsepius 2009-04-27 09:16:50 UTC
(In reply to comment #3)
> It *is* a problem. According to the file system standard, everything that comes
> with the distro should be in libdir; /usr/local is for software that hasn't
> been packaged and is locally built.  

Correct. Nothing being shipped with Fedora must install anything to /usr/local.

The fact, rt3 owns some (%ghost'ed) directories therein, doesn't mean vendor supplied packages may install something there.

(In reply to comment #2)
> Anyway, even with 3.6 the files installed under
> /usr/local/lib/rt3 are probably a problem
I haven't checked all details yet, but as far as I understand (so far), your package is facing a design flaw in rt3: Lack of a "system-wide plugins directory".

I am not sure what to do about it. We could try to hack rt3 to add one, we could try to change rt3 to using a plugins-directory somewhere below /usr (not /usr/local), or we can try to change/configure this package such that it installs into perl's standard system search paths.

Comment 5 Xavier Bachelot 2009-04-27 20:01:08 UTC
RTx-Calendar is using Module-Install-RTx (a bundled copy, this probably needs to be fixed too). Module-Install-RTx uses rt3.pm and get the install directories from there. The following layout is defined ;
  customdir:		%{_prefix}/local/lib/rt3
  custometcdir:		%{_prefix}/local/etc/rt3
  customhtmldir:	${customdir}/html
  customlexdir:		${customdir}/po
  customlibdir:		${customdir}/lib
I believe changing this to the default rt3 dirs would do, but I'm not sure this is the proper "fix".
Oh, and also, there's no Module-Install-RTx that supports the rt 3.8 plugins framework yet.

Comment 6 Jon Baker 2009-06-17 19:29:27 UTC
I just successfully installed this on my FC11 RT3 via the download and instructions - it was very easy and intalled without any issue.  I'd submit it but I have no idea how ...

Comment 7 Jon Baker 2009-06-17 19:33:08 UTC
Never mind, just noticed the comments about /usr/lib and checked, sure enough, that is where it was installed.

Comment 8 Jason Tibbitts 2009-09-23 00:35:05 UTC
Folks, I'm going to drop this out of the review queue.  Please clear the whiteboard if the issues with this package are resolved.

Comment 9 Parag AN(पराग) 2009-12-10 11:05:15 UTC
any progress here if not then please close this if issue is not getting fixed.

Comment 10 Xavier Bachelot 2009-12-14 18:23:26 UTC
I have a version which fixes the files in /usr/local, but now I have to properly fix, unbundled and packaged the Module::Install:RTx perl module that is included in the tarball.

Comment 13 Jeff Fearn 🐞 2010-02-10 23:37:00 UTC
(In reply to comment #4)
> (In reply to comment #2)
> > Anyway, even with 3.6 the files installed under
> > /usr/local/lib/rt3 are probably a problem
> I haven't checked all details yet, but as far as I understand (so far), your
> package is facing a design flaw in rt3: Lack of a "system-wide plugins
> directory".

FYI RT 3.8.7, which is in rawhide, added a second plugin path, which can be set in either RT_Config.pm or RT_SiteConfig.pm

e.g.

Set($PluginPath,"/var/www/rt3/plugins");

This will then be checked for plugins if the plugin isn't found in /usr/local/lib/rt3/plugins.

Comment 14 Susi Lehtola 2011-12-16 09:59:58 UTC
Is this *still* NotReady?

Comment 15 Mario Blättermann 2012-09-30 16:06:44 UTC
(In reply to comment #14)
> Is this *still* NotReady?

It isn't NotReady alone, it seems to be ultimately dead... Am I right? In this case it should be FE-DEADREVIEW.

Comment 16 Mario Blättermann 2012-11-01 21:40:17 UTC
Seems there are no objections, that's why I close this bug now, adding FE-DEADREVIEW.


Note You need to log in before you can comment on or make changes to this bug.